package com.zhyc.module.produce.manage_sheep.service;

import com.zhyc.module.produce.manage_sheep.domain.ScAddSheep;

import java.util.List;


public interface IScAddSheepService {

    //新增
    boolean insertScAddSheep(ScAddSheep scAddSheep);

    //查询
    List<ScAddSheep> selectScAddSheepList(ScAddSheep scAddSheep);

    //修改
    boolean updateScAddSheep(ScAddSheep scAddSheep);

    //删除
    boolean deleteScAddSheepByIds(Integer[] ids);

    //导入
    String importSheep(List<ScAddSheep> list, boolean updateSupport, String operName, Long userId, Long deptId);


}

